javax.enterprise.deploy.model

## Interface J2eeApplicationObject

- All Superinterfaces:
    DeployableObject

      public interface J2eeApplicationObject
      extends DeployableObject

  J2eeApplicationObject is an interface that represents a Java EE application (EAR); it maintains a DeployableObject for each module in the archive.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addXpathListener(ModuleType type, String xpath, XpathListener xpl)` Register a listener for changes in XPath that are related to this deployableObject.
    `DDBean[]` | `getChildBean(ModuleType type, String xpath)` Return a list of DDBean based upon an XPath; all deployment descriptors of the specified type are searched.
    `DeployableObject` | `getDeployableObject(String uri)` Return the DeployableObject of the specified URI designator.
    `DeployableObject[]` | `getDeployableObjects()` Return the all DeployableObjects in this application.
    `DeployableObject[]` | `getDeployableObjects(ModuleType type)` Return the all DeployableObjects of the specified type.
    `String[]` | `getModuleUris()` Return the list of URIs for all modules in the application.
    `String[]` | `getModuleUris(ModuleType type)` Return the list of URIs of the designated module type.
    `String[]` | `getText(ModuleType type, String xpath)` Return the text value from the XPath; search only the deployment descriptors of the specified type.
    `void` | `removeXpathListener(ModuleType type, String xpath, XpathListener xpl)` Unregister the listener for an XPath.

    - ### Methods inherited from interface javax.enterprise.deploy.model.DeployableObject

      `entries, getChildBean, getClassFromScope, getDDBeanRoot, getDDBeanRoot, getEntry, getModuleDTDVersion, getText, getType`

- - ### Method Detail

    - #### getDeployableObject

          DeployableObject getDeployableObject(String uri)

      Return the DeployableObject of the specified URI designator.
      Parameters:
        `uri` - Describes where to get the module from.
      Returns:
        the DeployableObject describing the j2ee module at this uri or 'null' if there is not match.

    - #### getDeployableObjects

          DeployableObject[] getDeployableObjects(ModuleType type)

      Return the all DeployableObjects of the specified type.
      Parameters:
        `type` - The type of module to return.
      Returns:
        the list of DeployableObjects describing the j2ee module at this uri or 'null' if there are no matches.

    - #### getDeployableObjects

          DeployableObject[] getDeployableObjects()

      Return the all DeployableObjects in this application.
      Returns:
        the DeployableObject describing the j2ee module at this uri or 'null' if there are no matches.

    - #### getModuleUris

          String[] getModuleUris(ModuleType type)

      Return the list of URIs of the designated module type.
      Parameters:
        `type` - The type of module to return.
      Returns:
        the Uris of the contained modules or 'null' if there are no matches.

    - #### getModuleUris

          String[] getModuleUris()

      Return the list of URIs for all modules in the application.
      Returns:
        the Uris of the contained modules or 'null' if there are no matches.

    - #### getChildBean

          DDBean[] getChildBean(ModuleType type,
                              String xpath)

      Return a list of DDBean based upon an XPath; all deployment descriptors of the specified type are searched.
      Parameters:
        `type` - The type of deployment descriptor to query.
        `xpath` - An XPath string referring to a location in the deployment descriptor
      Returns:
        The list of DDBeans or 'null' of there are no matches.

    - #### getText

          String[] getText(ModuleType type,
                         String xpath)

      Return the text value from the XPath; search only the deployment descriptors of the specified type.
      Parameters:
        `type` - The type of deployment descriptor to query.
        `xpath` - An xpath string referring to a location in the deployment descriptor
      Returns:
        The text values of this xpath or 'null' if there are no matches.

    - #### addXpathListener

          void addXpathListener(ModuleType type,
                              String xpath,
                              XpathListener xpl)

      Register a listener for changes in XPath that are related to this deployableObject.
      Parameters:
        `type` - The type of deployment descriptor to query.
        `xpath` - The xpath to listen for.
        `xpl` - The listener.

    - #### removeXpathListener

          void removeXpathListener(ModuleType type,
                                 String xpath,
                                 XpathListener xpl)

      Unregister the listener for an XPath.
      Parameters:
        `type` - The type of deployment descriptor to query.
        `xpath` - he XPath to listen for
        `xpl` - The listener

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.